# Renderd7-nightly: Log Class Reference

Log Class Reference

`#include <log.hpp>`

## Public Member Functions

| Log ()
| ~Log ()
void | Init (const char *filename)
void | Write (std::string debug_text)
std::string | logDate (void)
| Get the date.
std::string | format (const std::string &fmt_str,...)

## Detailed Description

Log Class

## Constructor & Destructor Documentation

## Log()

Log::Log | ( |  | ) |

Construct

## ~Log()

Log::~Log | ( |  | ) |

Deconstruct

## Member Function Documentation

## Init()

void Log::Init | ( | const char * | filename | ) |

Init the log file filename: name for the file

## Write()

void Log::Write | ( | std::string | debug_text | ) |

Write Text to logfile debug_text: your text

## format()

std::string Log::format | ( | const std::string & | fmt_str,
|  |  | ...
| ) |  |

Format to logstyle fmt_str: the formatted style